import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { CGPoint } from "../structs/CGPoint.js";
import type { CGSize } from "../structs/CGSize.js";
export declare class _PKStrokePoint extends _NSObject {
    static alloc(): _PKStrokePoint;
    static new(): _PKStrokePoint;
    init(): _PKStrokePoint;
    /** Create a new point with the provided properties. */
    initWithLocation$timeOffset$size$opacity$force$azimuth$altitude$(location: CGPoint, timeOffset: number, size: CGSize, opacity: number, force: number, azimuth: number, altitude: number): _PKStrokePoint;
    /** Create a new point with the provided properties. */
    initWithLocation$timeOffset$size$opacity$force$azimuth$altitude$secondaryScale$(location: CGPoint, timeOffset: number, size: CGSize, opacity: number, force: number, azimuth: number, altitude: number, secondaryScale: number): _PKStrokePoint;
    /** Create a new point with the provided properties. */
    initWithLocation$timeOffset$size$opacity$force$azimuth$altitude$secondaryScale$threshold$(location: CGPoint, timeOffset: number, size: CGSize, opacity: number, force: number, azimuth: number, altitude: number, secondaryScale: number, threshold: number): _PKStrokePoint;
    /** Location of the point. */
    location(): CGPoint;
    /** Time offset since the start of the stroke path in seconds. */
    timeOffset(): number;
    /** Size of the point. */
    size(): CGSize;
    /** Opacity of the point 0-2. */
    opacity(): number;
    /** Azimuth of the point in radians, 0.0-2π radians */
    azimuth(): number;
    /** Force used to create this point. */
    force(): number;
    /** Altitude used to create this point in radians, 0.0-π/2 radians */
    altitude(): number;
    /**
     * The scaling of the point for secondary effects. For example the scaling of the pigment in the watercolor ink.
     */
    secondaryScale(): number;
    /**
     * The threshold for clipping the stroke rendering. When rendering only pixels with an alpha greater than the threshold are drawn. A threshold of 0 has no affect on rendering, a threshold of 1 does not draw anything. Thresholds are only used for some inks, eg. `PKInkIdentifierReed`.
     */
    threshold(): number;
}
export interface _PKStrokePoint extends _NSCopying {
}
